var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", 'react', '../../../../index', './Layer.Basic.Example.scss'], function (require, exports, React, index_1) {
    "use strict";
    var LayerBasicExample = (function (_super) {
        __extends(LayerBasicExample, _super);
        function LayerBasicExample() {
            _super.apply(this, arguments);
        }
        LayerBasicExample.prototype.render = function () {
            return (React.createElement(index_1.Layer, null, React.createElement("div", {className: 'ms-LayerBasicExample-content'}, React.createElement("div", null, "This is an example layer."), React.createElement(index_1.Layer, null, React.createElement("div", null, "Layers should act as passthroughs, when nested. This text content is in a nested layer and should be rendered as a descendant of the parent div.")))));
        };
        return LayerBasicExample;
    }(React.Component));
    exports.LayerBasicExample = LayerBasicExample;
});
